<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<itemFormativoEsercizio nomeDescrittivo="Accelerometro" identificatoreArgomento="AccelerometroSemplice" prerequisiti="diode,digitalOutput,spi,i2c" tags="Medio,DigitalOutput,Software,SPI,I2C" fondamentale="false" mdPblproblem="false" mdPblnewlearninggoal="false" tempoRichiesto="0" versione="2">
    <mdprerequisitelist>Bus SPI o I2C</mdprerequisitelist>
    <mdcomponentlist>Matrice LED 8x8 su modulo con bus I2C</mdcomponentlist>
    <mdcomponentlist>Accelerometro a 3 assi</mdcomponentlist>
    <mdcomponentlist>Registro a scorrimento e 8 resistori da 220 ohm, se non si dispone del modulo I2C</mdcomponentlist>
    <mdwhy>Rilevare un particolare evento del mondo fisico, ad esempio lo spostamento dell'oggetto su uno degli assi, e svolgere un'azione come conseguenza.</mdwhy>
    <mdexpectedresult>Partendo dall'esercizio sulla matrice LED; far ruotare la riga rispetto al centro, in base allo spostamento rilevato dall'accelerometro</mdexpectedresult>
    <mdextras>Abbinare lo spostamento sui vari assi ad effetti diversi</mdextras>
    <mderraticbehavior></mderraticbehavior>
    <mdcommonerrors>Inversione polarità LED, in caso di utilizzo della matrice senza modulo I2C</mdcommonerrors>
    <mdlessonlearned>Reazione ad eventi ambientali</mdlessonlearned>
    <mdsolution>Se non si dispone del modulo indicato ma di una normale matrice LED, collegarla come nell'esercizio precedente sulla matrice LED, sarà necessario almeno un registro a scorrimento per gestire o le righe o le colonne.&#13;
&#13;
Collegare l'accelerometro sui pin appropriati per il tipo di bus (SPI o I2C)</mdsolution>
    <mdpbldetails></mdpbldetails>
</itemFormativoEsercizio>
